<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ProgressiveMesh Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#cfe2a5f48a5fa8974d2d74d00097a3de">addExtraVertexPositionBuffer</a>(const VertexData *vertexData)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#70b3d964a5b85435f37c6860cd1d0ecf">addWorkingData</a>(const VertexData *vertexData, const IndexData *indexData)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#f04ce0e1651c333c31160a5e8d31c303">bakeNewLOD</a>(IndexData *pData)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#2a1be1aa3f7fb56f1f092a5d7727ab23">build</a>(ushort numLevels, LODFaceList *outList, VertexReductionQuota quota=VRQ_PROPORTIONAL, Real reductionValue=0.5f)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#9a2b811d9167ab86eba08512b80af523">collapse</a>(PMVertex *collapser)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#068c955d126c3329366627661cbf91ae">CommonVertexList</a> typedef</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#10ca317d81b09b5cf974e7ffd7804389">computeAllCosts</a>(void)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#62752a7914b7284f274325b95fe8a956">computeEdgeCollapseCost</a>(PMVertex *src, PMVertex *dest)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#2069cc9a67af857b72ca9a68bb1c71a9">computeEdgeCostAtVertex</a>(size_t vertIndex)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#e1b5ab9072fc602148ebc424420cd6d5">computeEdgeCostAtVertexForBuffer</a>(WorkingDataList::iterator idata, size_t vertIndex)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#012d243506337112390de2658194969e">dumpContents</a>(const String &amp;log)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#b399d0958410761a3e40cc9b1ee79de0">FaceVertexList</a> typedef</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#7288cad629589059118353aade1011e8">getNextCollapser</a>(void)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#8e15fc4982e765beeeadc092cff68e75">initialiseEdgeCollapseCosts</a>(void)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#0c7f783f655c0691de3ac4a30ac13db2">LODFaceList</a> typedef</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#b166495b3a0dc8f25d25485fa11dac0e">mCurrNumIndexes</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#45c19ccc60bca019dfcd1eb7d6c5432d">mNumCommonVertices</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#d712f5fffad66a568d465b2efdf2ebd0">mpIndexData</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#234adc727c7bf50b18f201b68e664e85">mpVertexData</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#d657f9004aabb5932753a429061b8ed7">mWorkingData</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#efa2fb879e0989999c893e51c529d414">mWorstCosts</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#a5453d5f251ce2f0124cb859c3c62fb2">ProgressiveMesh</a>(const VertexData *vertexData, const IndexData *indexData)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#6de5d3d121da657332de44f0eda1689c">TriangleList</a> typedef</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#c8ade932d6a3a6b24c7b7ad33c32a8e3">VertexReductionQuota</a> enum name</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#c8ade932d6a3a6b24c7b7ad33c32a8e37dcdea89ce8a061d707b04b74a97a3c0">VRQ_CONSTANT</a> enum value</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#c8ade932d6a3a6b24c7b7ad33c32a8e38b32f463d36c939a8202f23d91c9b31c">VRQ_PROPORTIONAL</a> enum value</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#ea9592c2ce2ad3f1006b892d03135162">WorkingDataList</a> typedef</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#f3cb5af29550ccd45667aa9e8c0bab19">WorstCostList</a> typedef</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh.html#85108ebfc9b9b1a255d70dee8e7f0fee">~ProgressiveMesh</a>()</td><td><a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:55 2008
</p>
</body>
</html>
